Skip to main content

getSignaturesForAddress

POST

Returns signatures for confirmed transactions that include the given address in their accountKeys list. Returns signatures backwards in time from the provided signature or most recent confirmed block
Responses
idinteger
The request ID
jsonrpcstring
The JSON-RPC version
signaturestring
Transaction signature as base-58 encoded string
slotinteger
The slot that contains the block with the transaction
errobject
Error if transaction failed, null if transaction succeeded.
memostring
Memo associated with the transaction, null if no memo is present
blockTimeinteger
Estimated production time, as Unix timestamp (seconds since the Unix epoch) of when transaction was processed. null if not available.
confirmationStatusstring
The transaction's cluster confirmation status; Either processed, confirmed, or finalized.
  • processed - the transaction has been processed by the cluster
  • confirmed - the transaction has been confirmed by the cluster
  • finalized - the transaction has been finalized by the cluster
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Bad Request"
}
cURL
curl -X POST 'https://solana-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "getSignaturesForAddress",
"params": []
}'